darcs-2.8.4: a distributed, interactive, smart revision control system

Safe Haskell | None

Darcs.Patch.Prim.V1.Commute

# Documentation

data Perhaps a

Constructors

Unknown |
Failed |
Succeeded a |

Instances

Monad Perhaps |
MonadPlus Perhaps |

subcommutes :: [(String, WrappedCommuteFunction)]

newtype WrappedCommuteFunction

Constructors

WrappedCommuteFunction |

Fields

runWrappedCommuteFunction :: CommuteFunction